--- src/add_dialog.c.orig
+++ src/add_dialog.c
@@ -180,7 +180,7 @@
 	GTK_WIDGET_SET_FLAGS (add_dialog->cancel_button, GTK_CAN_DEFAULT);
 
 	add_dialog->add_button = gtk_button_new();
-	add_dialog->add_image = xa_main_window_find_image("xarchiver-add.png", GTK_ICON_SIZE_SMALL_TOOLBAR);
+	add_dialog->add_image = gtk_image_new_from_icon_name ("add-files-to-archive",GTK_ICON_SIZE_SMALL_TOOLBAR);
 	add_dialog->add_hbox = gtk_hbox_new(FALSE, 4);
 	add_dialog->add_label = gtk_label_new_with_mnemonic(_("_Add"));
 
--- src/extract_dialog.c.orig
+++ src/extract_dialog.c
@@ -167,7 +167,7 @@
 	GTK_WIDGET_SET_FLAGS (cancel_button,GTK_CAN_DEFAULT);
 
 	extract_button = gtk_button_new();
-	extract_image = xa_main_window_find_image("xarchiver-extract.png",GTK_ICON_SIZE_SMALL_TOOLBAR);
+	extract_image = gtk_image_new_from_icon_name ("extract-archive",GTK_ICON_SIZE_SMALL_TOOLBAR);
 	extract_hbox = gtk_hbox_new(FALSE,4);
 	extract_label = gtk_label_new_with_mnemonic(_("_Extract"));
 
@@ -503,7 +503,7 @@
 	GTK_WIDGET_SET_FLAGS (cancelbutton1,GTK_CAN_DEFAULT);
 	
 	extract_button = gtk_button_new();
-	extract_image = xa_main_window_find_image("xarchiver-extract.png",GTK_ICON_SIZE_SMALL_TOOLBAR);
+	extract_image = gtk_image_new_from_icon_name ("extract-archive",GTK_ICON_SIZE_SMALL_TOOLBAR);
 	extract_hbox = gtk_hbox_new(FALSE,4);
 	extract_label = gtk_label_new_with_mnemonic(_("_Extract"));
 
--- src/interface.c.orig
+++ src/interface.c
@@ -110,7 +110,7 @@
 	listing_html = gtk_image_menu_item_new_with_mnemonic (_("HTML file"));
 	gtk_widget_show (listing_html);
 	gtk_container_add (GTK_CONTAINER (listing_submenu),listing_html);
-	tmp_image =  xa_main_window_find_image ("xarchiver-html.png",GTK_ICON_SIZE_MENU);
+	tmp_image = gtk_image_new_from_icon_name ("browser",GTK_ICON_SIZE_MENU);
 	gtk_widget_show (tmp_image);
 	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (listing_html),tmp_image);
 	
@@ -171,7 +171,7 @@
 	gtk_container_add (GTK_CONTAINER (menuitem2_menu),addfile);
 	gtk_widget_add_accelerator (addfile,"activate",accel_group,GDK_d,GDK_CONTROL_MASK,GTK_ACCEL_VISIBLE);
 
-	image2 = xa_main_window_find_image ("xarchiver-add.png",GTK_ICON_SIZE_MENU);
+	image2 = gtk_image_new_from_icon_name ("add-files-to-archive",GTK_ICON_SIZE_MENU);
 	gtk_widget_show (image2);
 	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (addfile),image2);
 
@@ -181,7 +181,7 @@
 	gtk_container_add (GTK_CONTAINER (menuitem2_menu),extract_menu);
 	gtk_widget_add_accelerator (extract_menu,"activate",accel_group,GDK_e,GDK_CONTROL_MASK,GTK_ACCEL_VISIBLE);
 
-	image2 =  xa_main_window_find_image ("xarchiver-extract.png",GTK_ICON_SIZE_MENU);
+	image2 = gtk_image_new_from_icon_name ("extract-archive",GTK_ICON_SIZE_MENU);
 	gtk_widget_show (image2);
 	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (extract_menu),image2);
 
@@ -387,7 +387,7 @@
 	gtk_widget_show (separatortoolitem3);
 	gtk_container_add (GTK_CONTAINER (toolbar1),separatortoolitem3);
 
-	tmp_image = xa_main_window_find_image("xarchiver-add.png",GTK_ICON_SIZE_LARGE_TOOLBAR);
+	tmp_image = gtk_image_new_from_icon_name ("add-files-to-archive",GTK_ICON_SIZE_LARGE_TOOLBAR);
 	gtk_widget_show (tmp_image);
 	AddFile_button = (GtkWidget*) gtk_tool_button_new (tmp_image,_("Add"));
 	gtk_widget_set_sensitive (AddFile_button,FALSE);
@@ -396,7 +396,7 @@
 	gtk_container_add (GTK_CONTAINER (toolbar1),AddFile_button);
 	gtk_tool_item_set_tooltip (GTK_TOOL_ITEM (AddFile_button),tooltips,_("Add files"),NULL);
 
-	tmp_image = xa_main_window_find_image("xarchiver-extract.png",GTK_ICON_SIZE_LARGE_TOOLBAR);
+	tmp_image = gtk_image_new_from_icon_name ("extract-archive",GTK_ICON_SIZE_LARGE_TOOLBAR);
 	gtk_widget_show (tmp_image);
 	Extract_button = (GtkWidget*) gtk_tool_button_new (tmp_image,_("Extract"));
 	gtk_widget_set_sensitive (Extract_button,FALSE);
@@ -863,7 +863,7 @@
 	gtk_widget_show (extract);
 	gtk_container_add (GTK_CONTAINER (xa_popup_menu),extract);
 
-	image9 =  xa_main_window_find_image ("xarchiver-extract.png",GTK_ICON_SIZE_MENU);
+	image9 = gtk_image_new_from_icon_name ("extract-archive",GTK_ICON_SIZE_MENU);
 	gtk_widget_show (image9);
 	gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (extract),image9);
 
@@ -1527,7 +1527,7 @@
 	hbox1 = gtk_hbox_new (FALSE,12);
 	gtk_box_pack_start (GTK_BOX (vbox1),hbox1,TRUE,TRUE,0);
 
-	pixbuf = gtk_icon_theme_load_icon(icon_theme,"gnome-mime-application-zip",40,0,NULL);
+	pixbuf = gtk_icon_theme_load_icon(icon_theme,"application-zip",40,0,NULL);
 	icon_pixbuf = gtk_image_new_from_pixbuf(pixbuf);
 	g_object_unref(pixbuf);
 
--- src/mime.c.orig
+++ src/mime.c
@@ -41,9 +41,9 @@
 	else if (strcmp(mime,"audio/mpeg") == 0 || strcmp(mime,"audio/midi") == 0 || strcmp (mime,"audio/mp2") == 0)
 		icon_name = "sound";
 	else if (strcmp(mime,"application/vnd.ms-excel") == 0 || strcmp(mime,"application/vnd.oasis.opendocument.spreadsheet") == 0)
-		icon_name = "gnome-mime-application-vnd.ms-excel";
+		icon_name = "application-vnd.ms-excel";
 	else if (strcmp(mime,"application/vnd.ms-powerpoint") == 0 || strcmp (mime,"application/vnd.oasis.opendocument.presentation") == 0)
-		icon_name = "gnome-mime-application-vnd.ms-powerpoint";
+		icon_name = "application-vnd.ms-powerpoint";
 	else if (strcmp(mime,"application/zip") == 0 || strcmp(mime,"application/x-rar") == 0 || strcmp(mime,"application/x-tar") == 0
 		|| strcmp(mime,"application/x-7z-compressed") == 0 || strcmp(mime,"application/x-bzip-compressed-tar") == 0
 		|| strcmp (mime,"application/x-compressed-tar") == 0 || strcmp (mime,"application/x-lha") == 0
@@ -57,11 +57,11 @@
 	else if (strcmp(mime,"application/x-cd-image") == 0)
 		icon_name = "application-x-cd-image";
 	else if (strcmp(mime,"application/x-php") == 0)
-		icon_name = "gnome-mime-application-x-php";
+		icon_name = "application-x-php";
 	else if (strcmp(mime,"application/x-perl") == 0 || strcmp (mime,"application/x-csh") == 0 || strcmp (mime,"application/x-shellscript") == 0)
-		icon_name = "gnome-mime-application-x-perl";
+		icon_name = "text-x-script";
 	else if (strcmp(mime,"application/x-font-ttf") == 0)
-		icon_name = "gnome-mime-application-x-font-ttf";
+		icon_name = "font";
 	return icon_name;		
 }
 
--- src/pref_dialog.c.orig
+++ src/pref_dialog.c
@@ -57,7 +57,7 @@
 
 	prefs_data->prefs_liststore = gtk_list_store_new (3,GDK_TYPE_PIXBUF,G_TYPE_STRING,G_TYPE_UINT);
 	gtk_list_store_append (prefs_data->prefs_liststore,&iter);
-	icon_pixbuf = gtk_icon_theme_load_icon(icon_theme,"gnome-mime-application-zip",40,0,NULL);
+	icon_pixbuf = gtk_icon_theme_load_icon(icon_theme,"application-zip",40,0,NULL);
 	gtk_list_store_set (prefs_data->prefs_liststore, &iter, 0, icon_pixbuf, 1, _("Archive"),2,0,-1);
 	if(icon_pixbuf != NULL)
 		g_object_unref (icon_pixbuf);
